## python-briefcase 0.3.25

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help livehtml Makefile

livehtml:
	sphinx-autobuild -b html $(SPHINXOPTS) "$(SOURCEDIR)" "$(BUILDDIR)/html"

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-briefcase 0.3.22

=== debian/changelog ===
python-briefcase (0.3.22-1.1) unstable; urgency=medium

  * Team upload.
  * Source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Feb 2025 20:00:32 -0500

python-briefcase (0.3.22-1) unstable; urgency=medium

  * Initial release (Closes: #1096151)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 15 Feb 2025 17:11:49 -0300

=== debian/control ===
Source: python-briefcase
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               furo <!nodoc>,
               jdupes,
               pre-commit <!nocheck>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-build,
               python3-cookiecutter,
               python3-coverage <!nocheck>,
               python3-dateutil,
               python3-enchant <!nodoc>,
               python3-git,
               python3-httpx,
               python3-importlib-metadata,
               python3-packaging,
               python3-pip,
               python3-platformdirs,
               python3-psutil,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-rich,
               python3-setuptools,
               python3-setuptools-scm <!nocheck>,
               python3-sphinx <!nodoc>,
               python3-sphinx-autobuild <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-tabs <!nodoc>,
               python3-sphinxcontrib.spelling <!nodoc>,
               python3-tomli,
               python3-tomli-w,
               python3-wheel
Standards-Version: 4.7.0
Homepage: https://github.com/beeware/briefcase
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-briefcase
Vcs-Git: https://salsa.debian.org/python-team/packages/python-briefcase.git

Package: python3-briefcase
Architecture: all
Depends: build-essential,
         gir1.2-gtk-3.0,
         git,
         libcairo2-dev,
         libcanberra-gtk3-module,
         libgirepository1.0-dev,
         pkgconf,
         python3-dev,
         python3-venv,
         ${misc:Depends},
         ${python3:Depends}
Suggests: briefcase-doc
Description: Convert Python project to native application
 Briefcase is a tool from the BeeWare project that allows you to package and
 distribute Python applications as native executables for different operating
 systems. With it, a developer can turn a Python project into an application
 that can be installed and run like any other common software on Windows,
 macOS, Linux, iOS, and Android.
 .
 The tool automates the process of packaging Python applications, generating
 packages in the appropriate format for each operating system. This means that
 it not only compiles Python code into an executable format, but also structures
 the project to meet the specific requirements of each platform.
 .
 Generates installation files compatible with each operating system (such
 as .exe, .dmg, .deb, .apk, among others). As well as packaging applications
 with graphical interfaces, making them indistinguishable from native
 applications.
 .
 Main features:
  - Independence from the development environment: The application can be
    developed on any operating system and, with Briefcase, can be packaged for
    multiple platforms, without having to be recreated from scratch for each of
    them.
  - Native package generation: Creates ready-to-install and use packages,
    without the need to install Python separately.
  - Integration with GUI frameworks: Support for Toga (from BeeWare) and other
    GUI libraries such as PySide.

Package: python-briefcase-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Convert Python project to native application(common documentation)
 Briefcase is a tool from the BeeWare project that allows you to package and
 distribute Python applications as native executables for different operating
 systems. With it, a developer can turn a Python project into an application
 that can be installed and run like any other common software on Windows,
 macOS, Linux, iOS, and Android.
 .
 The tool automates the process of packaging Python applications, generating
 packages in the appropriate format for each operating system. This means that
 it not only compiles Python code into an executable format, but also structures
 the project to meet the specific requirements of each platform.
 .
 Generates installation files compatible with each operating system (such
 as .exe, .dmg, .deb, .apk, among others). As well as packaging applications
 with graphical interfaces, making them indistinguishable from native
 applications.
 .
 Main features:
  - Independence from the development environment: The application can be
    developed on any operating system and, with Briefcase, can be packaged for
    multiple platforms, without having to be recreated from scratch for each of
    them.
  - Native package generation: Creates ready-to-install and use packages,
    without the need to install Python separately.
  - Integration with GUI frameworks: Support for Toga (from BeeWare) and other
    GUI libraries such as PySide.
 .
 This is the common documentation package briefcase.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=briefcase

export LC_ALL=C.UTF-8
export LANG=C.UTF-8

#skipped tests that require connection and tests
# for platforms/architecture that are not part of the unix environment
export PYBUILD_TEST_CUSTOM=1
export PYBUILD_TEST_ARGS={interpreter} -m pytest  -v \
	-k 'not test_build_appimage \
	and not test_build_app_with_support_package_update \
	and not test_build_failure \
	and not test_binary_path \
	and not test_cmdline_tools_url \
	and not test_data_path_creation_failure \
	and not test_detects_bad_zipfile \
	and not test_file_name \
	and not test_distribution_path \
	and not test_download_url \
	and not test_download_sdk \
	and not test_download_sdk_legacy_install \
	and not test_download_wix \
	and not test_download_sdk_if_sdkmanager_not_executable \
	and not test_install_custom_stub_binary_url \
	and not test_install_stub_binary_missing \
	and not test_open_no_docker_linux \
	and not test_output_format_template_context_bad_tag \
	and not test_output_format_template_context \
	and not test_package_app \
	and not test_raises_networkfailure_on_connectionerror \
	and not test_rcedit_url \
	and not test_run_app_test_mode_with_args \
	and not test_run_app_test_mode \
	and not test_run_console_app \
	and not test_run_gui_app_failed \
	and not test_run_gui_app \
	and not test_run_console_app_failed \
	and not test_run_console_app_with_passthrough \
	and not test_successful_jdk_download \
	and not test_supported_host_os_docker \
	and not test_supported_arch \
	and not test_upgrade_existing_sdk \
	and not test_verify_tools_download_failure'

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# sphinx documentation
execute_before_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
	-N -bhtml  docs debian/python-briefcase-doc/usr/share/doc/python-briefcase-doc/html

#Fix duplicate-files
execute_after_dh_sphinxdoc:
	jdupes -rl debian/python-briefcase-doc/usr/share

## python-briefcase 0.3.25

=== debian/changelog ===
python-briefcase (0.3.25-1) unstable; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #1114299)
    - Tests: remove use of httpx-retries as this is not in Debian.
    - Docs: remove use of beeware_theme as this is not in Debian.
    - Update dependencies, d/copyright and patches.
  * Prevent network access throughout build,
    and skip another test that requires it.
  * Add autopkgtest.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 27 Sep 2025 20:14:21 +0100

python-briefcase (0.3.22-3) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-tomli
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 15:03:17 +0200

python-briefcase (0.3.22-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dep on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Sun, 04 May 2025 18:48:06 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,8 @@
                python3-enchant <!nodoc>,
                python3-git,
                python3-httpx,
-               python3-importlib-metadata,
+# not in Debian, use patched out by 003.no-httpx-retries.patch
+# python3-httpx-retries,
                python3-packaging,
                python3-pip,
                python3-platformdirs,
@@ -33,10 +34,11 @@
                python3-sphinx-copybutton <!nodoc>,
                python3-sphinx-tabs <!nodoc>,
                python3-sphinxcontrib.spelling <!nodoc>,
-               python3-tomli,
                python3-tomli-w,
+               python3-truststore,
                python3-wheel
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
+Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://github.com/beeware/briefcase
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-briefcase
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-briefcase.git

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 export LC_ALL=C.UTF-8
 export LANG=C.UTF-8
+export http_proxy=http://127.0.0.1:9/
+export https_proxy=https://127.0.0.1:9/
 
 #skipped tests that require connection and tests
 # for platforms/architecture that are not part of the unix environment
@@ -19,6 +21,7 @@
 	and not test_file_name \
 	and not test_distribution_path \
 	and not test_download_url \
+	and not test_download_missing \
 	and not test_download_sdk \
 	and not test_download_sdk_legacy_install \
 	and not test_download_wix \
@@ -49,7 +52,7 @@
 
 # sphinx documentation
 execute_before_dh_sphinxdoc:
-	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
+	python3 -m sphinx  -d debian/doctrees  \
 	-N -bhtml  docs debian/python-briefcase-doc/usr/share/doc/python-briefcase-doc/html
 
 #Fix duplicate-files

=== debian/watch ===
version=4
https://github.com/beeware/briefcase/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
